#!/bin/bash

# Script to remove Anaconda
# SPDX-License-Identifier: GPL-2.0-or-later

# Packages to remove
ANACONDA_PACKAGES="anaconda-core anaconda-dracut anaconda-install-env-deps anaconda-install-img-deps"

##
## Automatically remove Anaconda if we're not using it for firstboot
##
## To disable, set NO_REMOVE_ANACONDA=1 in /etc/sysconfig/fedora-firstboot.
##

# Remove Anaconda packages
if [ -z "$NO_REMOVE_ANACONDA" ] && [ -x "/usr/bin/rpm" ]; then
    if rpm --quiet --query gnome-initial-setup || rpm --quiet --query pico-wizard; then
        (
            # Check the OS to ensure we're not RHEL-like
            source /etc/os-release
            if [[ "$ID" != "rhel" ]] && [[ "$ID_LIKE" != *"rhel"* ]]; then
                if [ ! -e "/run/ostree-booted" ] && [ -x "/usr/bin/pkcon" ]; then
                       pkcon --noninteractive --autoremove remove ${ANACONDA_PACKAGES}
                fi
            fi
        )
    fi
fi


